This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 64906 - Kernel panic: Aiee, killing interupt handler - Compaq Proliant ML370
Kernel panic: Aiee, killing interupt handler - Compaq Proliant ML370
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-14 04:55 EDT by Christian Jacobsen
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot 1 of 4 from the last Kernel Panic (92.03 KB, image/bmp)
2002-05-14 05:04 EDT, Christian Jacobsen
no flags Details

  None (edit)
Description Christian Jacobsen 2002-05-14 04:55:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; Q312461; T312461)

Description of problem:
After updating from kernel 2.4.7-10 to 2.4.9-31 on an Compaq Proliant ML370 
with on-board RAID there seems to be a problem with EXT3. The kernel Crashes in 
kjounald.

Version-Release number of selected component (if applicable):
2.4.9-31

How reproducible:
Always

Steps to Reproduce:
1. Let the System run.
2. Time differs, but then it crashes. Last time it was after 2 Hours

	

Additional info:

The crash produces errors on the filesystem :(

On the system the Compaq Insight Drivers version 5.30 are installed.

I can give you a couple of screen shots of the Output on Screen. We are using a 
Compaq insight Board - here i can replay the screen output on the last error. 

The last time it listed Process kjournald and cmaidad (Compaq Insight) on 
crash. The time before it listed kjournald and swapper.
Comment 1 Christian Jacobsen 2002-05-14 05:04:28 EDT
Created attachment 57224 [details]
Screenshot 1 of 4 from the last Kernel Panic
Comment 2 Michael K. Johnson 2002-05-16 15:31:52 EDT
Have you ever seen this without the "Compaq Insight Drivers" ever having
been loaded on the machine since boot time?
Comment 3 Stephen Tweedie 2002-05-20 16:50:42 EDT
It may be the kjournald process giving the oops, but the address of the faulting
code is deep in the block device driver layer.  This looks much more like a
driver problem than a filesystem one.
Comment 4 Christian Jacobsen 2002-05-21 04:47:01 EDT
I have some more infomation.

You seems to bee right about the Drivers. I have disabled one of the processes 
of the Insight Drivers that showed up in the Screen Output : cmaidad 
Since Friday that Server did not crash anymore.

Maybee it is the Smart Array Driver not working 100% with the Insight Driver :(

The bad thing (for me) is that that process is monitoring the Array Controller 
(Raid 5) and that means I am not getting any errors wenn Harddisks fail :(

I am not 100% sure,I have 8 ML370 and only tested this on one over the weekend. 
Today I and am going to expand this to 4 Maschines and watch it a couple of 
Days to see what happens.


Thank you
Christian Jacobsen
Comment 5 Arjan van de Ven 2002-05-21 05:18:53 EDT
You could have a look at the kernel-utils package from the 7.3 release (it will
just work on 7.2); it contains a monitoring app for some compaq controllers...
Comment 6 Christian Jacobsen 2002-05-23 04:44:13 EDT
Hallo, 

you can use the NEW Insight Drivers 5.40 wich are now released ;) 
They seem to bee stable - have only tested 1 day :) 

Or disabling cmaidad on 5.30 solves the problem. Then you have no Surveilance 
of the Raid Adapter and the Harddisks. This is how to do it : 

########################################################## 

/etc/rc.d/init.d/cmastor stop 

"vi /etc/rc.d/init.d/cmastor change : 
   PNAMES="cmastorpeerd cmaidad cmafcad cmaided cmascsid" 
in : 
   # PNAMES="cmastorpeerd cmaidad cmafcad cmaided cmascsid" 
   PNAMES="cmastorpeerd cmafcad cmaided cmascsid" 

Then 
   /etc/rc.d/init.d/cmastor start 

########################################################## 


Comment 7 Bugzilla owner 2004-09-30 11:39:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.